require 'rails_helper'

RSpec.describe RomaneioPolicy do
  subject(:policy) { described_class.new(usuario, Romaneio) }

  context 'com a permissão admin.romaneio' do
    let(:usuario) { build(:gerente) }

    it { is_expected.to be_index }
    it { is_expected.to be_pdf }
    it { is_expected.to be_atualizar_linha }
  end

  context 'sem a permissão' do
    let(:usuario) { build(:operador) }

    it { is_expected.not_to be_index }
    it { is_expected.not_to be_pdf }
    it { is_expected.not_to be_destroy }
  end
end
